/* @import url("https://fonts.googleapis.com/css2?family=Jost:ital,wght@0,100..900;1,100..900&display=swap"); */
@font-face {
    font-family: "Jost";
    src: url("../../fonts/Jost-VariableFont_wght.ttf") format("truetype");
    font-style: normal;
}

@font-face {
    font-family: "Jost";
    src: url("../../fonts/Jost-Italic-VariableFont_wght.ttf") format("truetype");
    font-style: italic;
}

:root {
    --font-family: "Jost", sans-serif;
    --primary: #54bd95;
    --secondary: #222938;
    --text-dark: #191a15;
    --text-light: #f3fdf9;
    --text-muted: #788197;
    --bg-light: #f9f8fe;
    --bg-muted: #788197;
    --bg-white: #fff;
    --bg-danger: #ec407a;
}
* {
    font-family: var(--font-family);
    font-weight: 500;
    font-style: normal;
    box-sizing: border-box;
    font-size: 16px;
}
body {
    margin: 0;
    padding: 0;
    color: var(--text-dark);
    overflow-x: hidden;
}
/* common section css start */
h1 {
    color: var(--text-dark);
    font-size: 72px;
    font-style: normal;
    font-weight: 400;
    line-height: 90px;
    letter-spacing: 1.8px;
    text-transform: uppercase;
}

h2 {
    color: var(--text-dark);
    font-size: 35px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
}

h4 {
    color: var(--text-dark);
    font-size: 25px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
}
h5 {
    color: var(--text-dark);
    font-size: 18px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
}
.desc,
p {
    color: var(--text-muted);
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 30px;
    margin: 0;
}
.desc a {
    color: var(--bg-muted);
}
.desc a:hover {
    color: var(--primary);
}
.form-group {
    margin-bottom: 10px;
}
.fs-18 {
    font-size: 18px;
}
.fs-20 {
    font-size: 20px;
}
.fs-16 {
    font-size: 16px;
}
.fs-12 {
    font-size: 12px;
}
.pt-20 {
    padding-top: 20px;
}
.tw-300 {
    min-width: 300px;
}
.tw-250 {
    min-width: 250px;
}
.tw-200 {
    min-width: 200px;
}
.tw-150 {
    min-width: 150px;
}
.text-muted {
    color: var(--text-muted) !important;
}
.text-success {
    color: var(--primary) !important;
}
.btn-success {
    background-color: var(--primary);
    border-radius: 8px;
    border: 1px solid var(--primary);
    font-size: 16px;
    padding: 10px 30px;
}
.btn-outline-success {
    color: var(--primary);
    border: 1px solid var(--primary);
}
.btn-success:hover,
.btn-outline-success:hover {
    background-color: var(--primary);
    border-color: var(--primary);
}
.btn-outline-success:hover svg path {
    fill: var(--text-white);
}
.btn-outline-success {
    border-radius: 8px;
    border: 1px solid var(--primary);
    font-size: 16px;
    padding: 13px 50px;
}
.button-wrapper .btn-outline-success {
    padding: 10px 50px;
}
a {
    font-style: none;
    text-decoration: none;
    color: var(--text-dark);
}
.text-success {
    color: var(--primary);
}
section {
    position: relative;
    z-index: 1;
}
.form-label,
.arForm-label {
    color: var(--text-muted);
    margin-bottom: 10px;
}
.arForm-control,
.form-control {
    color: var(--text-muted);
}
.arForm-group,
.form-group {
    margin-bottom: 15px !important;
}
.table,
.table th,
.table td,
.table a {
    color: var(--text-muted);
    border-color: #dee2e6 !important;
}
.dt-length label {
    padding-left: 10px;
    color: var(--text-muted);
}
.select2-container--default
    .select2-selection--single
    .select2-selection__rendered {
    color: var(--text-muted) !important;
}
.dt-search label,
.dt-info {
    color: var(--text-muted) !important;
}
.table td,
.table th {
    padding-top: 15px !important;
    padding-bottom: 15px !important;
}
.arCard-title {
    font-size: 20px;
}
.line-1 {
    width: 100%;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: normal;
}
.text-dark {
    color: var(--text-dark);
}
/* common section css end */

/* login page css start */
.login-box::after {
    content: "";
    height: 500px;
    width: 500px;
    background-color: var(--primary);
    position: absolute;
    z-index: 0;
    filter: blur(500px);
    top: -300px;
    left: -300px;
}
.form-control {
    padding: 13px 20px;
}
.form-control:focus {
    border-color: var(--primary);
    box-shadow: none;
}

.image-side img {
    object-fit: cover;
    width: 100%;
    height: 100%;
}
.login-box {
    width: 400px;
}
.form-side {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 100px 0;
}
.logo-area {
    text-align: center;
    margin: auto;
    margin-bottom: 20px;
}
.logo-area img {
    margin-bottom: 20px;
}
.remember-area {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px 0;
}
.remember-area p {
    margin: 0;
}
.custom-checkbox-wrapper {
    display: flex;
    align-items: center;
    gap: 8px;
    cursor: pointer;
    user-select: none;
    font-size: 14px;
}

.custom-checkbox-wrapper label {
    color: var(--text-muted);
}

.custom-checkbox {
    appearance: none;
    width: 18px;
    height: 18px;
    border: 1px solid var(--bg-muted);
    border-radius: 4px;
    position: relative;
    transition: background-color 0.2s, border-color 0.2s;
}

.custom-checkbox:checked {
    background-color: var(--primary);
    border-color: var(--primary);
}

.custom-checkbox:checked::after {
    content: "";
    position: absolute;
    left: 6px;
    top: 1px;
    width: 5px;
    height: 10px;
    border: solid #fff;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
}
.form-check-input:focus {
    border-color: var(--bg-muted);
    outline: 0;
    box-shadow: none !important;
}
/* login page css end */

/* navbar page css start */
.navbar-toggler {
    padding: 10px;
}
.navbar-toggler:focus-visible {
    border: none;
}
.navbar-toggler:focus {
    box-shadow: none;
}
.brand-logo {
    width: 160px;
}
.navbar-nav {
    align-items: center;
    gap: 20px;
}
.navbar-collapse {
    justify-content: end;
}
.navbar {
    padding: 20px 0;
    margin-bottom: 60px;
}
.navbar::before {
    content: "";
    height: 635px;
    width: 635px;
    background-color: var(--primary);
    position: absolute;
    z-index: -99;
    filter: blur(500px);
    top: -300px;
    left: -300px;
}
.navbar::after {
    content: "";
    height: 635px;
    width: 635px;
    background-color: var(--primary);
    position: absolute;
    z-index: -99;
    filter: blur(500px);
    top: 550px;
    right: -300px;
}
.custom-pages-dropdown .dropdown-menu {
    padding: 0;
    border: 0;
}
.custom-pages-dropdown .dropdown-menu li {
    margin: 10px;
}
.custom-pages-dropdown .dropdown-menu li .dropdown-item {
    padding: 10px;
    border-radius: 5px;
}
.custom-pages-dropdown .dropdown-item.active,
.custom-pages-dropdown .dropdown-item:active {
    color: var(--text-dark);
    text-decoration: none;
    background-color: transparent;
}
.custom-pages-dropdown .dropdown-item:focus-visible {
    border: none;
}
.knowledge-details-section .category-title {
    margin-top: 0;
    margin-bottom: 20px;
    font-size: 25px;
}
.page-content {
    min-height: 60vh;
    padding-top: 20px;
    margin-bottom: 50px;
}
/* navbar page css end */

/* Contact Us page css start */
.map-container {
    height: 520px;
}
.section-title {
    margin-top: 20px;
}
.map-container iframe {
    border-radius: 10px;
    width: 100%;
    height: 100%;
}
.contact-info {
    padding-top: 40px;
}
.info-item {
    display: flex;
    align-items: start;
    gap: 20px;
    padding-bottom: 40px;
}
.info-item .icon {
    background-color: var(--bg-white);
    border-radius: 10px;
    padding: 15px;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.05);
}
.contact-section {
    padding-bottom: 90px;
}
.contact-right {
    margin: 0;
    padding-left: 50px;
}

.testimonial .title {
    font-size: 2rem;
    font-weight: 700;
    margin-bottom: 10px;
}

.testimonial .subtitle {
    color: var(--bg-muted);
    margin-bottom: 20px;
    max-width: 85%;
}

.testimonial .quote-symbol {
    font-size: 3rem;
    color: var(--primary);
    line-height: 1;
    margin-bottom: 10px;
}

.testimonial .feedback {
    font-size: 1rem;
    margin-bottom: 10px;
}
.testimonial-contact-section {
    padding: 100px 0;
    background-color: var(--bg-light);
}

.testimonial .author {
    font-style: italic;
    margin-bottom: 20px;
}

.avatars {
    display: flex;
    align-items: center;
    gap: 10px;
}

.avatars img {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    object-fit: cover;
    border: 2px solid var(--bg-white);
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
}

.play-button {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    border: 1px solid var(--primary);
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--primary);
    font-size: 1.2rem;
    cursor: pointer;
}
.quote-symbol {
    padding: 30px 0;
}

.form-box {
    background-color: var(--bg-white);
    border-radius: 15px;
    padding: 50px;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.05);
    color: var(--text-dark);
}

.form-box .form-label {
    color: var(--text-dark);
    font-weight: 500;
}

.form-box .form-control:focus {
    box-shadow: none;
    border: 1px solid var(--primary);
}

/* Contact Us page css end */

/* FAQ pase css start */
.search-box {
    position: relative;
    width: 50%;
    margin: 30px auto;
}
.search-box input {
    padding: 25px 160px 25px 65px;
    border: 0;
    border-radius: 50px;
    width: 100%;
    border: 1px solid var(--bg-white);
}
.search-box input:focus,
.search-box input:focus-visible {
    outline: none;
    box-shadow: none;
    border: 1px solid var(--primary);
}

.search-box button {
    padding: 15px 30px;
    border: 0;
    border-radius: 50px;
    background: var(--primary);
    color: var(--bg-light);
}
.search-box .search-button {
    position: absolute;
    top: 10px;
    right: 13px;
}
.search-box .search-icon {
    position: absolute;
    top: 24px;
    left: 30px;
}
.faq-section {
    margin: 70px 0;
}
.accordion-item {
    background: transparent;
    border: 0;
    border-bottom: 1px solid var(--bg-muted);
    border-radius: 0;
}
.accordion-button {
    background-color: transparent;
    font-size: 18px;
    font-weight: 600;
}
.accordion-body {
    color: var(--text-muted);
}
.accordion-button:focus:not(:focus-visible) {
    box-shadow: inset 0 calc(-1 * var(--bs-accordion-border-width)) 0
        var(--bs-accordion-border-color);
}
.accordion-button:focus,
.accordion-button:focus-visible {
    box-shadow: none;
}

.accordion-item:not(:first-of-type) {
    border-radius: 0 !important;
}
.accordion-button:not(.collapsed) {
    background-color: transparent;
    color: var(--text-dark);
}
/* FAQ pase css end */

/* Knowledge page css start */
.knowledge-category-section {
    padding: 20px 0;
    padding-bottom: 50px;
}
.category-card {
    text-align: center;
    margin: auto;
    background-color: var(--bg-white);
    padding: 40px 20px;
    border-radius: 10px;
    margin-bottom: 25px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.05);
}
.card-icon {
    background-color: var(--bg-light);
    border-radius: 10px;
    padding: 15px;
    width: 25%;
    margin: auto;
}
.card-title {
    padding: 5px 0;
}
.card-link {
    color: var(--primary);
}
.line-2 {
    display: -webkit-box;
    -webkit-line-clamp: 2; /* Limits to 2 lines */
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}
.knowledge-browse-section {
    padding: 40px 0;
    margin: 0 auto;
    padding-bottom: 60px;
}

.knowledge-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 30px;
    flex-wrap: wrap;
    width: 100%;
}

.knowledge-title {
    font-size: 28px;
    font-weight: 700;
    margin: 0;
    color: var(--text-dark);
}

.knowledge-subtitle {
    color: var(--text-muted);
    font-size: 16px;
    margin-top: 5px;
}

.see-all-btn {
    background-color: var(--primary);
    color: var(--text-light);
    padding: 10px 20px;
    border: none;
    border-radius: 8px;
    cursor: pointer;
    font-weight: 500;
}

.knowledge-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    gap: 20px;
}

.knowledge-card {
    background: var(--bg-white);
    padding: 20px;
    border-radius: 12px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.05);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    margin-bottom: 25px;
}

.knowledge-meta {
    display: flex;
    justify-content: space-between;
    font-size: 14px;
    color: var(--text-muted);
    margin-bottom: 10px;
}

.knowledge-heading {
    font-size: 18px;
    font-weight: 700;
    color: var(--text-dark);
    margin: 5px 0;
}

.knowledge-text {
    color: var(--text-muted);
    font-size: 16px;
    margin: 10px 0;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    min-height: 48px; /* To ensure space even if short */
}

.knowledge-footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 14px;
    color: var(--text-muted);
}

.explore-link {
    color: var(--primary);
    text-decoration: none;
    font-weight: 500;
}

/* Knowledge page css end */
/* Knowledge details page css start */
.dot {
    width: 15px;
    height: 15px;
    border-radius: 50%;
    flex-shrink: 0;
    background-color: var(--primary);
    position: absolute;
    top: 5px;
    left: -10px;
    border: 3px solid #fff;
}
.sidebar-section ul li {
    padding-bottom: 10px;
    position: relative;
    padding-left: 15px;
}
.sidebar-section ul li:last-child {
    border-bottom: none;
}
.article-meta {
    display: flex;
    align-items: center;
    gap: 20px;
    margin-bottom: 30px;
    color: var(--text-muted);
}
.article-meta a:hover {
    color: var(--primary) !important;
}
.article-meta a:hover svg path {
    stroke: var(--primary);
}
.border-bottom {
    border-bottom: 1px solid var(--bg-muted) !important;
    padding-bottom: 20px;
}
.knowledge-list {
    display: flex;
    align-items: start;
    gap: 15px;
    border-left: 5px solid var(--secondary);
}
.sidebar-section {
    padding-top: 34px;
}
/* Knowledge details page css end */

/* dashboard page css start */
.dashboard-section .container {
    display: flex;
    align-items: start;
    justify-content: center;
    gap: 30px;
    padding-bottom: 50px;
}
.dash-sidebar,
.dash-header,
.dash-body {
    background-color: var(--bg-white);
    padding: 20px;
    border-radius: 10px;
}
.dash-header h4 span {
    color: var(--text-dark);
}
.dash-header h4 svg path {
    stroke: #191a15;
}
.dash-sidebar {
    width: 25%;
}
.dash-main {
    width: 75%;
}
.dash-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 25px;
    padding: 15px;
    flex-wrap: wrap;
    gap: 10px;
}
.dash-header h4 {
    font-size: 20px;
    margin: 0;
    padding: 10px 0;
    margin-left: 10px;
    display: flex;
    align-items: center;
    justify-content: start;
    gap: 10px;
    color: var(--text-muted);
}
.dash-header a {
    padding: 10px 30px;
    display: flex;
    align-items: center;
    gap: 5px;
}
.dash-header a:hover path {
    stroke: var(--text-light);
}
.dash-body {
    margin-bottom: 20px;
}
.user-avatar {
    text-align: center;
}
.user-avatar img {
    width: 80px;
    height: 80px;
    border-radius: 50px;
    margin-top: 20px;
    object-fit: cover;
}
.user-avatar h4 {
    padding-top: 15px;
}
.nav-sidebar {
    padding: 20px;
}
.nav-links {
    list-style: none;
    padding: 0;
}
.nav-links-li a {
    padding: 13px 0;
    color: var(--text-muted);
    display: flex;
    align-items: center;
    justify-content: start;
    gap: 10px;
}

.nav-links-li a:hover {
    color: var(--primary);
}
.nav-links-li a:hover path {
    stroke: var(--primary);
}
.nav-links-li.active a {
    position: relative;
    color: var(--primary);
}
.nav-links-li.active a path {
    stroke: var(--primary);
}
.nav-links-li.active a::before {
    content: "";
    position: absolute;
    height: 30px;
    width: 4px;
    background: var(--primary);
    top: 10px;
    left: -15px;
    border-radius: 5px;
}
.conversation .user-avatar img {
    height: 50px;
    width: 50px;
    margin-top: 0;
}
.conversation .list-group {
    height: 45vh;
    overflow: scroll;
    overflow-x: hidden;
    border: 1px solid #dee2e6;
    border-bottom: 0;
    border-radius: 5px 5px 0 0;
}
.ticket-sidebar .table {
    border-top: 1px solid;
}
.no-conversation {
    padding: 100px 0;
    border-radius: 5px 5px 0 0;
    border-bottom: 0;
}
.dropdown-item.active,
.dropdown-item:active {
    color: var(--text-dark) !important;
    background-color: transparent !important;
}
.dropdown-menu {
    border: 0;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.05);
    border-radius: 10px;
}
.dropdown-menu li {
    margin: 5px 10px;
    border-radius: 5px;
}
.dropdown-menu .dropdown-item {
    padding: 7px 15px;
    border-radius: 5px;
}
.customer-dashboard-header {
    border-bottom: 1px solid #dee2e6;
    padding-bottom: 15px;
}
.toggle-dash-button {
    width: 50px;
    position: absolute;
    top: 15px;
    right: -10px;
}
.arForm-group .select2-container {
    width: 100% !important;
}
.dashboard-section .dt-layout-cell {
    text-align: start !important;
}
.dash-body .dt-layout-table {
    overflow-x: scroll;
}
.nav-sidebar.collapsed {
    width: 60px;
    overflow: hidden;
    transition: width 0.3s;
}
#load-more:hover svg path {
    stroke: #fff;
}
.nav-sidebar {
    width: 250px;
    transition: width 0.3s;
}
.table-responsive {
    overflow-x: scroll;
}
/* dashboard page css end */

/* ticket details page css start */
.list-group-item {
    border: none;
    padding-bottom: 0;
}
.ticket-preview-image img {
    border: 1px solid #dee2e6;
    padding: 5px;
    cursor: pointer;
}
.ticket-preview-image {
    display: flex;
    justify-content: end;
    margin-top: 10px;
    gap: 15px;
}
.ticket-preview-image a {
    position: relative;
}
.ticket-preview-image a svg {
    position: absolute;
    top: 35%;
}
.download-icon {
    display: flex;
    align-items: center;
    justify-content: center;
}
.action-bar {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.action-bar .icons a {
    padding: 10px;
}
.action-bar .icons a svg,
.action-bar .icons a span {
    cursor: pointer !important;
}
.message-box {
    border: 1px solid #dee2e6;
    border-radius: 5px;
}
.message-box .action-bar {
    padding: 10px;
}
.message-box textarea {
    border: none;
}
.h-40vh {
    height: 40vh;
    overflow: scroll;
    overflow-x: hidden;
    margin-bottom: 15px;
    border-radius: 5px;
}
.chat-image {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    flex-wrap: wrap;
    gap: 10px;
}
.chat-image img {
    max-width: 80px;
    max-height: 80px;
    border-radius: 6px;
    border: 1px solid #ddd;
    padding: 4px;
    position: relative;
}
.chat-image .download-icon svg {
    position: absolute;
}
/* ticket details page css end */

/* select2 css start */

.select2-container .select2-selection--single {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    cursor: pointer;
    display: block;
    height: 41px;
    border-color: #dee2e6;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -webkit-user-select: none;
    border-radius: 6px 6px;
    padding: 25px 0;
    outline: 0;
}

.select2-container--default
    .select2-selection--single
    .select2-selection__rendered {
    color: var(--text-muted);
    line-height: 20px;
    text-transform: capitalize;
    padding-left: 12px;
    margin-top: -9px;
    font-weight: 400;
}

.select2-container--default .select2-results__option--selected {
    background-color: transparent;
}

li.select2-results__option.select2-results__option--selectable:hover {
    background: #e8f7f1 !important;
    color: var(--text-muted) !important;
}

.select2-container--default
    .select2-results__option--highlighted.select2-results__option--selectable {
    background-color: #e8f7f1 !important;
    color: var(--text-muted) !important;
}
.select2-results__option--selectable {
    color: var(--text-muted);
    font-weight: 400;
}
.select2-container--default .select2-results > .select2-results__options {
    text-transform: capitalize;
}

.select2-container--default .select2-search--dropdown .select2-search__field {
    border: none;
    color: var(--text-muted);
    font-weight: 400;
}

.select2-search__field:focus-visible {
    outline: none !important;
}

/* .select2-container--default
    .select2-selection--multiple
    .select2-selection__choice__remove:hover,
.select2-container--default
    .select2-selection--multiple
    .select2-selection__choice__remove:focus {
    background-color: #696cffad;
    color: #fff;
    outline: none;
} */

.select2-container--default
    .select2-selection--single
    .select2-selection__arrow {
    height: 26px;
    position: absolute;
    top: 14px;
    right: 10px;
    width: 20px;
}

.select2-dropdown {
    border-color: #dee2e6;
}
/* .select2-container--default .select2-selection--single .select2-selection__arrow {
  top: 14;
} */
.dt-container .select2-container .select2-selection--single {
    padding: 20px 0;
}
.dt-container
    .select2-container--default
    .select2-selection--single
    .select2-selection__arrow {
    top: 8px;
    right: 5px;
}
div.dt-container .dt-search input {
    outline: 0;
    border-color: #dee2e6;
    color: var(--text-muted);
    padding: 8px;
    border-radius: 8px;
}
.dt-length label {
    text-transform: capitalize;
}
div.dt-container .dt-paging .dt-paging-button {
    border-radius: 8px;
    border-color: #dee2e6 !important;
    color: var(--text-muted) !important;
    margin-left: 5px;
}
.dt-paging-button {
    color: var(--text-muted) !important;
}
div.dt-container .dt-paging .dt-paging-button {
    color: var(--text-muted) !important;
}
div.dt-container .dt-paging .dt-paging-button:hover {
    background: #e8f7f1;
    color: var(--text-muted) !important;
}
/* select2 css end */

/* ticket create page css start */
.support-schedule {
    background-color: var(--bg-white);
    padding: 20px;
    border-radius: 10px;
    width: 100%;
    max-width: 400px;
    font-family: sans-serif;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.1);
}

.support-schedule h3 {
    text-align: center;
    margin-bottom: 4px;
    font-weight: 700;
}

.support-schedule .status {
    color: var(--bg-danger);
    text-align: center;
    font-weight: 500;
    margin-bottom: 20px;
}

.day-schedule {
    background-color: var(--bg-light);
    border-radius: 8px;
    padding: 10px 15px;
    margin-bottom: 15px;
}

.day-name {
    font-weight: bold;
    font-size: 16px;
    /* text-transform: uppercase; */
    color: var(--text-muted);
    margin-bottom: 8px;
}

.time-range {
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--text-muted);
}
.day-schedule span {
    font-size: 12px;
}

.time-dot {
    width: 8px;
    height: 8px;
    background-color: var(--primary);
    border-radius: 50%;
}

.line-part {
    height: 2px;
}

.line-part.dashed {
    flex: 1;
    border-top: 2px dashed var(--primary);
}

.line-part.solid {
    flex: 2;
    background-color: var(--primary);
}

.time-labels {
    display: flex;
    justify-content: space-between;
    font-size: 12px;
    color: #222;
    margin-top: 5px;
}

.today-badge {
    background-color: #7a1fa2;
    color: var(--text-light);
    font-size: 10px;
    border-radius: 12px;
    padding: 2px 6px;
    margin: 0 6px;
}

.closed .dot,
.closed .line-part {
    background: none;
    border-top: 2px dashed var(--bg-danger);
}

.closed .dot {
    background-color: var(--bg-danger);
}

.closed .time-labels {
    color: var(--bg-danger);
    justify-content: center;
    font-weight: bold;
}
.dash-note {
    background-color: var(--bg-light);
    padding: 10px 20px;
    border-radius: 10px;
    border: 1px dashed var(--primary);
}
/* ticket create page css end */

/* home page css start */

/* hero section css start */
.hero-section .container {
    display: flex;
    align-items: center;
}

.hero-content {
    max-width: 600px;
    flex: 1;
}

.hero-content h1 {
    font-size: 55px;
    font-weight: 800;
    margin-bottom: 20px;
    line-height: 80px;
}

.highlight {
    font-size: 55px;
    color: var(--primary);
    font-weight: 800;
}

.hero-content p {
    font-size: 16px;
    color: var(--text-muted);
    margin-bottom: 40px;
}

.hero-search-box {
    position: relative;
    width: 90%;
}

.hero-search-box input {
    padding: 25px 165px 25px 60px;
    border: 1px solid var(--primary);
    border-radius: 50px;
    outline: none;
    width: 100%;
    color: var(--text-muted);
}
.hero-search-box input:focus {
    border: 1px solid var(--primary);
}

.hero-search-box svg {
    position: absolute;
    top: 26px;
    left: 25px;
}
.hero-search-box button svg {
    position: relative;
    top: 0;
    left: 0;
}
.hero-search-box button {
    background-color: var(--primary);
    color: var(--text-light);
    border: none;
    border-radius: 50px;
    padding: 17px 35px;
    cursor: pointer;
    position: absolute;
    top: 9px;
    right: 11px;
}

.brand-logos {
    margin: 100px 0;
    margin-left: auto;
    margin-right: auto;
}

.brand-logos h2 {
    text-align: center;
    margin-bottom: 30px;
    font-size: 40px;
}
.brand-logos .logos {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.brand-logos img {
    height: 100px;
    object-fit: contain;
    max-width: 180px;
    padding: 20px;
}

.hero-image {
    position: relative;
    flex: 1;
    text-align: center;
}

.hero-image img {
    max-width: 100%;
    border-radius: 20px;
}
/* hero section css end */

/* feature section css start */
.bg-feature {
    background-color: var(--bg-light);
    padding: 80px 0;
}
.bg-feature h2 {
    margin-bottom: 20px;
}
.bg-feature h5 {
    font-size: 25px;
}
.bg-feature .reviews {
    display: flex;
    align-items: center;
    gap: 50px;
}
.bg-feature .feature-item {
    display: flex;
    align-items: start;
    gap: 25px;
    margin-bottom: 30px;
}
.stars {
    padding-bottom: 10px;
    padding-top: 50px;
}
.feature-icon-box {
    height: 60px;
    width: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: var(--bg-light);
    box-shadow: 0px 4px 9px 0px rgba(0, 0, 0, 0.05);
    border-radius: 10px;
}
/* feature section css end */

/* service section css start */
.services-section {
    padding: 80px 0;
    font-family: "Segoe UI", sans-serif;
    background-color: #fff;
}

.services-top {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 50px;
}

.services-top .text {
    flex: 1 1 500px;
}

.services-top .text h2 {
    margin-bottom: 30px;
}

.services-top .text p {
    color: #6c6c6c;
    font-size: 16px;
}

.video-thumbnail {
    position: relative;
    max-width: 400px;
    flex: 1 1 400px;
}

.video-thumbnail img {
    width: 100%;
    border-radius: 12px;
}

.video-thumbnail .play-button {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #28a87d;
    color: white;
    border-radius: 50%;
    padding: 0 10px;
    cursor: pointer;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
}

.services-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(260px, 1fr));
    gap: 30px;
}

.service-item {
    text-align: left;
}

.service-item .icon {
    width: 36px;
    height: 36px;
    background-color: #28a87d;
    color: #fff;
    font-weight: bold;
    border-radius: 50%;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 15px;
}

.service-item h4 {
    margin-bottom: 10px;
}

.service-item p {
    color: #555;
}
/* service section css end */

/* newsletter section css start */
.newsletter-section {
    background-color: var(--secondary);
    padding: 80px 0;
}
.newsletter-section h2 {
    color: var(--text-light);
    padding-bottom: 15px;
}
.newsletter-section small {
    color: var(--text-muted);
}
.newsletter-section .row {
    align-items: center;
    justify-content: center;
}
.newsletter-section .hero-search-box {
    width: 100%;
}
.newsletter-section .hero-search-box input {
    padding-left: 35px;
}
/* newsletter section css end */

/* how we work section css start */
.how-we-work {
    padding: 80px 160px;
    margin: auto;
}
.section-header {
    text-align: center;
    margin-bottom: 50px;
}
.work-steps {
    display: flex;
    align-items: end;
    margin-bottom: 20px;
}
.left-step {
    justify-content: start;
}
.right-step {
    justify-content: end;
}
.step-box {
    position: relative;
    background: var(--bg-white);
    padding: 30px;
    border-radius: 12px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    width: 40%;
    text-align: left;
    overflow: hidden;
}
.step-left {
    width: 40%;
    height: 110px;
    border-top: 2px dashed var(--primary);
    border-right: 2px dashed var(--primary);
    border-radius: 0 10px;
    position: relative;
}
.step-left svg {
    position: absolute;
    right: -13px;
    bottom: -9px;
}
.step-right {
    width: 40%;
    height: 110px;
    border-top: 2px dashed var(--primary);
    border-left: 2px dashed var(--primary);
    border-radius: 10px 0;
    position: relative;
}
.step-right svg {
    position: absolute;
    left: -13px;
    bottom: -9px;
}
.step-end .step-right,
.step-end .step-left {
    border: 0;
}
.step-end .step-right svg,
.step-end .step-left svg {
    display: none;
}

.step-box .icon {
    width: 50px;
    height: 50px;
    background: var(--primary);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
}
.step-box .number {
    position: absolute;
    top: 0;
    right: 0;
    background: var(--bg-muted);
    color: var(--text-light);
    padding: 10px;
    border-bottom-left-radius: 15px;
    font-weight: bold;
}
.step-box h4 {
    margin-top: 20px;
    font-size: 25px;
}
/* how we work section css end */

/* Testimonial section css start */
.testimonial-section {
    background-color: var(--primary);
    padding: 100px 0;
}
.testimonial-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-bottom: 40px;
}
.testimonial-header h2 {
    color: var(--text-light);
}
.testimonial-header .desc {
    color: var(--text-light);
}
.testimonial-header button {
    border: 1px solid var(--bg-light);
    color: var(--text-light) !important;
}
.testimonial-header button:hover {
    border: 1px solid var(--bg-light);
    color: var(--text-dark) !important;
    background-color: var(--bg-light);
}

.testimonial-card {
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.testimonial-card:hover {
    transform: translateY(-5px);
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.1);
}

.testimonial-section .btn-outline-success {
    background-color: var(--text-white);
    color: var(--primary);
    border-radius: 50px;
}
.testimonial-card .rounded-circle {
    object-fit: cover;
}
.swiper-pagination,
.swiper-button-next,
.swiper-button-prev {
    display: none !important;
}
/* Testimonial section css end */

/* start pagination css */
.pagination-wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.pagination-custom {
    display: flex;
    list-style: none;
    padding: 0;
    gap: 8px;
    justify-content: center;
    margin-top: 20px;
}

.pagination-custom li a,
.pagination-custom li span {
    display: block;
    padding: 8px 12px;
    color: #333;
    background: #f5f5f5;
    border-radius: 6px;
    text-decoration: none;
    transition: 0.3s;
}

.pagination-custom li a:hover {
    background: #54bd95;
    color: #fff;
}

.pagination-custom li.active span {
    background: #54bd95;
    color: white;
    font-weight: bold;
}

.pagination-custom li.disabled span {
    color: #ccc;
    cursor: not-allowed;
}
.custom-no-data {
    text-align: center;
    padding: 50px 0 10px 0;
    color: var(--text-muted);
}
.custom-no-data img {
    max-width: 300px !important;
    width: 100%;
}
/* end pagination css */

/* home page css end */

/* confirm alert box css */
.custom-alert {
    margin-left: 10px;
}

.custom-alert p {
    text-align: center;
}

.confirm-alert .alert-icon {
    color: var(--danger);
    margin: 15px;
    text-align: center;
}

.confirm-alert .alert-buttons {
    text-align: center;
    margin-bottom: 20px;
}

.confirm-alert .alert-buttons a {
    padding: 7px 15px;
    border: 1px solid var(--primary);
    border-radius: 5px;
}

.confirm-alert .alert-buttons .cancel-btn {
    margin-right: 5px;
    border: 1px solid var(--primary);
}

.confirm-alert .alert-buttons .confirm-btn {
    background-color: var(--primary);
    margin-left: 5px;
    color: var(--bg-white) !important;
    font-weight: 600;
}

.confirm-alert .alert-buttons .confirm-btn:hover {
    background-color: var(--primary-hover);
    color: var(--text-dark) !important;
}

/* end alert box css */

/* footer section css start */
.footer-section {
    background-color: var(--secondary);
    padding: 80px 0 30px 0;
    color: var(--text-light);
}
.footer-section h4 {
    color: var(--text-white);
    padding-bottom: 10px;
    font-size: 20px;
}
.footer-section li {
    padding-bottom: 20px;
}
.footer-section li a {
    color: var(--text-muted);
    font-size: 16px;
    padding-bottom: 20px;
}
.footer-section li a:hover {
    color: var(--primary);
}

.subscribe-form input::placeholder {
    color: var(--text-muted);
}

.subscribe-form input:focus {
    box-shadow: none;
    border-color: var(--primary);
}

.subscribe-form .btn {
    padding: 0 1rem;
    display: flex;
    align-items: center;
    justify-content: center;
}
.footer-bottom {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.footer-bottom a:hover {
    color: var(--primary) !important;
}
.social-icon {
    display: flex;
    align-items: center;
    gap: 10px;
}
.social-icon img {
    width: 30px;
}
.language-dropdown .dropdown-menu li {
    padding: 0;
    margin: 0px 10px;
    border-radius: 5px;
}
.language-dropdown .dropdown-menu li a:hover svg path {
    stroke: var(--primary) !important;
}

.language-dropdown .dropdown-menu .dropdown-item {
    padding: 10px;
    margin: 0;
}
.language-dropdown .dropdown-menu .dropdown-item:active {
    background: transparent;
    color: var(--primary);
}
/* footer section css end */
